//////////////////////////////////////////////////////////////////////////////////
// $Source: /cvsroot/cdx/cdx3.0/tools/CDXResourceCompiler/token.h,v $
// $Author: hebertjo $
//
// $Log: token.h,v $
// Revision 1.1.1.1  2000/04/22 16:01:15  hebertjo
// Initial checkin of v3.0 to SourceForge CVS.
//
// Revision 1.2  1999/05/17 21:09:25  pietro
// Added CDXResWorldObject - stores pictures with frames
//
// Revision 1.1  1999/05/16 22:04:37  pietro
// created new tool: CDXResourceCompiler for creating v2 resource files
//
//
// $Revision: 1.1.1.1 $
//////////////////////////////////////////////////////////////////////////////////

class token
{
public:
	UINT	LineNumber;
	FILE	*INIstream;

	token(char *fname);
	~token() { fclose(INIstream); };
	inline end()	 { return feof(INIstream); };


	char towhite(char c);
	rmspace();
	Comment_Killer();
	char CheckSeparator();
	char GetSeparator();
	int GetInt();
	void GetLine(char s[]);
	GetToken(char s[]);
};

